> ## Documentation Index
> Fetch the complete documentation index at: https://docs.freeplay.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Saved Search

> 
Update an existing saved search.



## OpenAPI

````yaml https://app.freeplay.ai/openapi.json put /api/v2/projects/{project_id}/session-filters/{filter_id}
openapi: 3.1.0
info:
  title: Freeplay API
  version: 0.1.0
servers: []
security:
  - BearerAuth: []
paths:
  /api/v2/projects/{project_id}/session-filters/{filter_id}:
    put:
      tags:
        - Saved Searches
      summary: Update Saved Search
      description: |-

        Update an existing saved search.
      operationId: put_update_filter
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
        - name: filter_id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              properties:
                name:
                  title: Name
                  type: string
                filter_model:
                  default: null
                  title: Filter Model
                  additionalProperties:
                    $ref: '#/components/schemas/WebApiFilter'
                  type:
                    - object
                    - 'null'
                is_team_filter:
                  default: false
                  title: Is Team Filter
                  type: boolean
                created_at:
                  default: null
                  title: Created At
                  format: date-time
                  type:
                    - string
                    - 'null'
              required:
                - name
              title: UpdateSessionFilterReplicationRequest
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  id:
                    format: uuid
                    title: Id
                    type: string
                  name:
                    title: Name
                    type: string
                  filter_model:
                    additionalProperties:
                      $ref: '#/components/schemas/WebApiFilter'
                    title: Filter Model
                    type: object
                  is_team_filter:
                    title: Is Team Filter
                    type: boolean
                  created_by:
                    format: uuid
                    title: Created By
                    type: string
                  created_at:
                    format: date-time
                    title: Created At
                    type: string
                required:
                  - id
                  - name
                  - filter_model
                  - is_team_filter
                  - created_by
                  - created_at
                title: SessionFilterReplicationInfo
                type: object
          description: >-
            SessionFilterReplicationInfo(id: uuid.UUID, name: str, filter_model:
            dict[str, shared.common.WebApiFilter], is_team_filter: bool,
            created_by: uuid.UUID, created_at: datetime.datetime)
components:
  schemas:
    WebApiFilter:
      properties:
        filterType:
          enum:
            - set
            - text
            - number
            - date
          title: Filtertype
          type: string
        type:
          default: null
          oneOf:
            - $ref: '#/components/schemas/FilterTypes'
            - type: 'null'
        filter:
          anyOf:
            - type: string
            - type: integer
            - type: number
            - type: 'null'
          default: null
          title: Filter
        dateFrom:
          default: null
          title: Datefrom
          type:
            - string
            - 'null'
        dateTo:
          default: null
          title: Dateto
          type:
            - string
            - 'null'
        values:
          default: null
          title: Values
          items:
            type: string
          type:
            - array
            - 'null'
        filterTo:
          anyOf:
            - type: string
            - type: integer
            - type: number
            - type: 'null'
          default: null
          title: Filterto
        conditions:
          default: null
          title: Conditions
          items:
            $ref: '#/components/schemas/MultiFilterConditions'
          type:
            - array
            - 'null'
        operator:
          default: null
          title: Operator
          enum:
            - AND
            - OR
          type:
            - string
            - 'null'
      required:
        - filterType
      title: WebApiFilter
      type: object
    FilterTypes:
      enum:
        - equals
        - notEqual
        - lessThan
        - lessThanOrEqual
        - greaterThan
        - greaterThanOrEqual
        - inRange
        - includes
        - contains
        - notContains
        - blank
        - notBlank
      title: FilterTypes
      type: string
    MultiFilterConditions:
      properties:
        type:
          title: Type
          type: string
        filter:
          title: Filter
          type: string
      required:
        - type
        - filter
      title: MultiFilterConditions
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````